package com.hungraim.ltc.account.dao;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.vo.account.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.List;

@Repository
@Mapper
public interface ChOrganAccountsMapper {


    List<OrganAccountsVO> getOrganAccountsList(String lastMonth);


    List<OrganAccountsVO> getOrganAccountsList22(@Param("taskDetailIds") List<String> taskDetailIds);


    Page<SrvOrganAccountListResp> searchSrvOrganAccountList(Page page, List<Long> organIds, SrvOrganListReq req);


    List<AccountExportDetailListResp> searchSrvOrganAccountDetailExport(String accountsId);

}
